<?php
function expert_construction_company_general_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'expert_construction_company_general', array(
			'priority' => 2,
			'title' => esc_html__( 'General Options', 'expert-construction-company' ),
		)
	);

	/*=========================================
	Breadcrumb  Section
	=========================================*/
	$wp_customize->add_section(
		'expert_construction_company_breadcrumb_setting', array(
			'title' => esc_html__( 'Breadcrumb Options', 'expert-construction-company' ),
			'priority' => 1,
			'panel' => 'expert_construction_company_general',
		)
	);
	
	// Settings 
	$wp_customize->add_setting(
		'expert_construction_company_breadcrumb_settings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'expert_construction_company_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'expert_construction_company_breadcrumb_settings',
		array(
			'type' => 'hidden',
			'label' => __('Settings','expert-construction-company'),
			'section' => 'expert_construction_company_breadcrumb_setting',
		)
	);
	
	// Breadcrumb Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_hs_breadcrumb' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_hs_breadcrumb', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_breadcrumb_setting',
			'settings'    => 'expert_construction_company_hs_breadcrumb',
			'type'        => 'checkbox'
		) 
	);


	$wp_customize->add_setting(
    	'expert_construction_company_breadcrumb_seprator',
    	array(
			'default' => '/',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'expert_construction_company_breadcrumb_seprator',
		array(
		    'label'   		=> __('Breadcrumb separator','expert-construction-company'),
		    'section'		=> 'expert_construction_company_breadcrumb_setting',
			'type' 			=> 'text',
		)  
	);

	$wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_5',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
        $wp_customize, 'expert_construction_company_upgrade_page_settings_5',
            array(
                'priority'      => 200,
                'section'       => 'expert_construction_company_breadcrumb_setting',
                'settings'      => 'expert_construction_company_upgrade_page_settings_5',
                'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
            )
        )
    ); 

	/*=========================================
	Preloader Section
	=========================================*/
	$wp_customize->add_section(
		'expert_construction_company_preloader_section_setting', array(
			'title' => esc_html__( 'Preloader Options', 'expert-construction-company' ),
			'priority' => 3,
			'panel' => 'expert_construction_company_general',
		)
	);

	// Preloader Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_preloader_setting' , 
			array(
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_preloader_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Preloader', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_preloader_section_setting',
			'settings'    => 'expert_construction_company_preloader_setting',
			'type'        => 'checkbox'
		) 
	);

	
	$wp_customize->add_setting(
    	'expert_construction_company_preloader_text',
    	array(
			'default' => 'Loading',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'expert_construction_company_preloader_text',
		array(
		    'label'   		=> __('Preloader Text','expert-construction-company'),
		    'section'		=> 'expert_construction_company_preloader_section_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)
	);

	// Preloader Background Color Setting
    $wp_customize->add_setting(
        'expert_construction_company_preloader_bg_color',
        array(
            'default' => '#ffffff',
            'sanitize_callback' => 'sanitize_hex_color',
            'capability' => 'edit_theme_options',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'expert_construction_company_preloader_bg_color',
            array(
                'label' => esc_html__('Preloader Background Color', 'expert-construction-company'),
                'section' => 'expert_construction_company_preloader_section_setting', // Adjust section if needed
                'settings' => 'expert_construction_company_preloader_bg_color',
            )
        )
    );

    // Preloader Color Setting
    $wp_customize->add_setting(
        'expert_construction_company_preloader_color',
        array(
            'default' => '#DB9A11',
            'sanitize_callback' => 'sanitize_hex_color',
            'capability' => 'edit_theme_options',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'expert_construction_company_preloader_color',
            array(
                'label' => esc_html__('Preloader Color', 'expert-construction-company'),
                'section' => 'expert_construction_company_preloader_section_setting', // Adjust section if needed
                'settings' => 'expert_construction_company_preloader_color',
            )
        )
    );

    $wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_6',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
        $wp_customize, 'expert_construction_company_upgrade_page_settings_6',
            array(
                'priority'      => 200,
                'section'       => 'expert_construction_company_preloader_section_setting',
                'settings'      => 'expert_construction_company_upgrade_page_settings_6',
                'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
            )
        )
    ); 


	/*=========================================
	Scroll To Top Section
	=========================================*/
	$wp_customize->add_section(
		'expert_construction_company_scroll_to_top_section_setting', array(
			'title' => esc_html__( 'Scroll To Top Options', 'expert-construction-company' ),
			'priority' => 3,
			'panel' => 'expert_construction_company_footer_section',
		)
	);

	// Scroll To Top Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_scroll_top_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_scroll_top_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Scroll To Top', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_scroll_to_top_section_setting',
			'settings'    => 'expert_construction_company_scroll_top_setting',
			'type'        => 'checkbox'
		) 
	);

	// Scroll To Top Color Setting
	$wp_customize->add_setting(
		'expert_construction_company_scroll_top_color',
		array(
			'default'           => '#fff',
			'sanitize_callback' => 'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'expert_construction_company_scroll_top_color',
			array(
				'label'    => esc_html__( 'Scroll To Top Color', 'expert-construction-company' ),
				'section'  => 'expert_construction_company_scroll_to_top_section_setting',
				'settings' => 'expert_construction_company_scroll_top_color',
			)
		)
	);

	// Scroll To Top Background Color Setting
	$wp_customize->add_setting(
		'expert_construction_company_scroll_top_bg_color',
		array(
			'default'           => '#DB9A11',
			'sanitize_callback' => 'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'expert_construction_company_scroll_top_bg_color',
			array(
				'label'    => esc_html__( 'Scroll To Top Background Color', 'expert-construction-company' ),
				'section'  => 'expert_construction_company_scroll_to_top_section_setting',
				'settings' => 'expert_construction_company_scroll_top_bg_color',
			)
		)
	);

	 $wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_7',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
        $wp_customize, 'expert_construction_company_upgrade_page_settings_7',
            array(
                'priority'      => 200,
                'section'       => 'expert_construction_company_scroll_to_top_section_setting',
                'settings'      => 'expert_construction_company_upgrade_page_settings_7',
                'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
            )
        )
    ); 

	/*=========================================
	Woocommerce Section
	=========================================*/
	$wp_customize->add_section(
		'expert_construction_company_woocommerce_section_setting', array(
			'title' => esc_html__( 'Woocommerce Settings', 'expert-construction-company' ),
			'priority' => 3,
			'panel' => 'woocommerce',
		)
	);

	$wp_customize->add_setting(
    	'expert_construction_company_custom_shop_per_columns',
    	array(
			'default' => '3',
			'sanitize_callback' => 'absint',
		)
	);	
	$wp_customize->add_control( 
		'expert_construction_company_custom_shop_per_columns',
		array(
		    'label'   		=> __('Product Per Columns','expert-construction-company'),
		    'section'		=> 'expert_construction_company_woocommerce_section_setting',
			'type' 			=> 'number',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_construction_company_custom_shop_product_per_page',
    	array(
			'default' => '9',
			'sanitize_callback' => 'absint',
		)
	);	
	$wp_customize->add_control( 
		'expert_construction_company_custom_shop_product_per_page',
		array(
		    'label'   		=> __('Product Per Page','expert-construction-company'),
		    'section'		=> 'expert_construction_company_woocommerce_section_setting',
			'type' 			=> 'number',
			'transport'         => $selective_refresh,
		)  
	);

	// Woocommerce Sidebar Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_wocommerce_sidebar_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_wocommerce_sidebar_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Woocommerce Sidebar', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_woocommerce_section_setting',
			'settings'    => 'expert_construction_company_wocommerce_sidebar_setting',
			'type'        => 'checkbox'
		)
	);
	
	$wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_8',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
		$wp_customize, 'expert_construction_company_upgrade_page_settings_8',
			array(
				'priority'      => 200,
				'section'       => 'woocommerce_section_setting',
				'settings'      => 'expert_construction_company_upgrade_page_settings_8',
				'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
			)
		)
	); 

	/*=========================================
	Sticky Header Section
	=========================================*/
	$wp_customize->add_section(
		'sticky_header_section_setting', array(
			'title' => esc_html__( 'Sticky Header Options', 'expert-construction-company' ),
			'priority' => 3,
			'panel' => 'expert_construction_company_general',
		)
	);

	// Sticky Header Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_sticky_header' , 
			array(
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);

	$wp_customize->add_control(
	'expert_construction_company_sticky_header', 
		array(
			'label'	      => esc_html__( 'Hide / Show Sticky Header', 'expert-construction-company' ),
			'section'     => 'sticky_header_section_setting',
			'settings'    => 'expert_construction_company_sticky_header',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_9',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
		$wp_customize, 'expert_construction_company_upgrade_page_settings_9',
			array(
				'priority'      => 200,
				'section'       => 'sticky_header_section_setting',
				'settings'      => 'expert_construction_company_upgrade_page_settings_9',
				'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
			)
		)
	); 

	/*=========================================
	404 Page Options
	=========================================*/
	$wp_customize->add_section(
		'expert_construction_company_404_section', array(
			'title' => esc_html__( '404 Page Options', 'expert-construction-company' ),
			'priority' => 1,
			'panel' => 'expert_construction_company_general',
		)
	);

	$wp_customize->add_setting(
		'expert_construction_company_404_title',
		array(
			'default' => '404',
			'sanitize_callback' => 'sanitize_text_field',
			'priority' => 2,
		)
	);	
	$wp_customize->add_control( 
		'expert_construction_company_404_title',
		array(
			'label'   		=> __('404 Heading','expert-construction-company'),
			'section'		=> 'expert_construction_company_404_section',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
		'expert_construction_company_404_Text',
		array(
			'default' => 'Page Not Found',
			'sanitize_callback' => 'sanitize_text_field',
			'priority' => 2,
		)
	);	
	$wp_customize->add_control( 
		'expert_construction_company_404_Text',
		array(
			'label'   		=> __('404 Title','expert-construction-company'),
			'section'		=> 'expert_construction_company_404_section',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
		'expert_construction_company_404_content',
		array(
			'default' => 'The page you were looking for could not be found.',
			'sanitize_callback' => 'sanitize_text_field',
			'priority' => 2,
		)
	);	
	$wp_customize->add_control( 
		'expert_construction_company_404_content',
		array(
			'label'   		=> __('404 Content','expert-construction-company'),
			'section'		=> 'expert_construction_company_404_section',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_10',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
		$wp_customize, 'expert_construction_company_upgrade_page_settings_10',
			array(
				'priority'      => 200,
				'section'       => 'expert_construction_company_404_section',
				'settings'      => 'expert_construction_company_upgrade_page_settings_10',
				'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
			)
		)
	);

	// logo
	// logo site title size
	$wp_customize->add_setting('expert_construction_company_site_title_font_size',array(
		'default'	=> 30,
		'sanitize_callback'	=> 'expert_construction_company_sanitize_number_absint'
	));
	$wp_customize->add_control('expert_construction_company_site_title_font_size',array(
		'label'	=> __('Site Title Font Size in PX','expert-construction-company'),
		'section'	=> 'title_tagline',
		'setting'	=> 'expert_construction_company_site_title_font_size',
		'type'	=> 'number',
		'input_attrs' => array(
		    'step'             => 1,
			'min'              => 0,
			'max'              => 30,
			),
	));

	$wp_customize->add_setting( 'expert_construction_company_site_tagline_color', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'expert_construction_company_site_tagline_color', array(
			'label'     => __('Change Site Title Color', 'expert-construction-company'),
	    'section' => 'title_tagline',
	    'settings' => 'expert_construction_company_site_tagline_color',
  	)));

	// logo site tagline size
	$wp_customize->add_setting('expert_construction_company_site_tagline_font_size',array(
		'default'	=> 15,
		'sanitize_callback'	=> 'expert_construction_company_sanitize_number_absint'
	));
	$wp_customize->add_control('expert_construction_company_site_tagline_font_size',array(
		'label'	=> __('Site Tagline Font Size in PX','expert-construction-company'),
		'section'	=> 'title_tagline',
		'setting'	=> 'expert_construction_company_site_tagline_font_size',
		'type'	=> 'number',
		'input_attrs' => array(
			'step'             => 1,
			'min'              => 0,
			'max'              => 30,
		),
	));

	$wp_customize->add_setting( 'expert_construction_company_logo_tagline_color', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'expert_construction_company_logo_tagline_color', array(
			'label'     => __('Change Site Tagline Color', 'expert-construction-company'),
	    'section' => 'title_tagline',
	    'settings' => 'expert_construction_company_logo_tagline_color',
  	)));

	/*=========================================
	Animation Section
	=========================================*/
	$wp_customize->add_section(
		'expert_construction_company_animations_section_setting', array(
			'title' => esc_html__( 'Animation Options', 'expert-construction-company' ),
			'priority' => 3,
			'panel' => 'expert_construction_company_general',
		)
	);

	// Animations Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_animation_enabled' , 
			array(
			'default' => true,
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_animation_enabled', 
		array(
			'label'	      => esc_html__( 'Hide / Show Animations', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_animations_section_setting',
			'settings'    => 'expert_construction_company_animation_enabled',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_956',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
		$wp_customize, 'expert_construction_company_upgrade_page_settings_956',
			array(
				'priority'      => 200,
				'section'       => 'expert_construction_company_animations_section_setting',
				'settings'      => 'expert_construction_company_upgrade_page_settings_956',
				'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
			)
		)
	); 

}

add_action( 'customize_register', 'expert_construction_company_general_setting' );